﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GpsModule {
	public class RmcData : SharedGpsData {

		/*
		RMC Recommended Minimum Navigation Information

			   1         2 3       4 5        6 7   8   9   10  11 12
			   |         | |       | |        | |   |   |    |   | |
		$--RMC,hhmmss.ss,A,llll.ll,a,yyyyy.yy,a,x.x,x.x,xxxx,x.x,a*hh
		1) Time (UTC)
		2) Status, V = Navigation receiver warning
		3) Latitude
		4) N or S
		5) Longitude
		6) E or W
		7) Speed over ground, knots
		8) Track made good, degrees true
		9) Date, ddmmyy
		10) Magnetic Variation, degrees
		11) E or W
		12) Checksum
		*/

		//GpsData is a supercalss of rmc and gga and contains the shared 
		//data members between the two classes, thus the ommitted members.
		char _status = 'V';
		public char Status {
			get { return _status; }
		}
		public void setStatus(char status) {
			_status = status;
		}

		double _speedOverGround = 0;
		public double SpeedOverGround {
			get { return _speedOverGround; }
		}
		public void setSpeedOverGround(double speedOverGround) {
			_speedOverGround = speedOverGround;
		}

		double _trackMadeGood = 0;
		public double TrackMadeGood {
			get { return _trackMadeGood; }
		}
		public void setTrackMadeGood(double trackMadeGood) {
			_trackMadeGood = trackMadeGood;
		}

		double _magneticVariation = 0;
		public double MagneticVariation {
			get { return _magneticVariation; }
		}
		public void setMagneticVariation(double magneticVariation) {
			_magneticVariation = magneticVariation;
		}

		char _eastOrWestM = 'E';
		public char EastOrWestM {
			get { return _eastOrWestM; }
		}
		public void setEastOrWestM(char eastOrWestM) {
			_eastOrWestM = eastOrWestM;
		}
	}
}
